package controler;

import view.BasicJFrame;
//import view.JFrameSample1;
//import view.JFrameSample2;
//import view.JFrameSample3;
//import view.JFrameSample4;
//import view.JFrameSample5;

/**
 * <pre>
 * On ne peut avoir qu'un seul controleur en MVC 2.
 * 
 * Un positionnement absolu (<code>setLayout(null)</code>)
 * ne doit tre utilis que dans un des cas suivants. Lorsque le <code>JFrame</code> :
 *   <b>est non redimensionnable</b> ;
 *   est compos exclusivement d'lments dont la taille n'est pas affecte ;
 *    par le redimensionnement du conteneur ou ;
 *    par la modificaiton de la police, du <i>look and Feel</i> ou ;
 *    par le changement du langage ;
 *   est compos exclusivement de <code>JInternalFrame</code> ;
 *   est compos exclusivement de <code>JSplitPane</code> ;
 *   est compos exclusivement de conteneurs personnaliss qui effectuent
 *    des calculs de tailles et de positions qui sont relatives au contenant.
 * 
 * Il est conseill d'utiliser de prfrence un <i>Layout</i> (pas de positionnement absolu)
 * chaque fois que cela est possible. Cependant, un positionnement absolu est utilis dans certains
 * des exemples de cette application car les <code>JFrame</code> sont toujours non redimensionnables
 * et afin de permettre une utilisation simplifie d'diteurs <i>GUI</i> comme WindowBuilder.
 * </pre>
 * 
 * @author Mickal Martin Nevot
 * 
 * @version 1.2.0
 */
public class BasicMainControler {
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// Dcommenter une seule des lignes suivantes  la fois pour tester les diffrentes applications exemples
		
		// Fentre JFrame basique
		new BasicJFrame().setVisible(true);
		
		// Exemple de fentre avec fonctionnalit "echo" (JLabel, JTextField, JButton)
		//new JFrameSample1().setVisible(true);
		
		// Exemple de fentre contenant des JPanel en "plein cran" qui peuvent s'alterner
		//new JFrameSample2().setVisible(true);
		
		// Exemple de fentre ayant une image de fond
		//new JFrameSample3().setVisible(true);
		
		// Exemple de fentre qui affiche une image partielle
		//new JFrameSample4().setVisible(true);
		
		// Exemple de fentre de connexion (JLabel, JTextField, JPasswordField)
		//new JFrameSample5().setVisible(true);
	}
}