package view;

import java.awt.Rectangle;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import model.EchoAction;

/**
 * Application exemple sur la cration d'un JButton,
 * d'un JLabel et d'un JTextField.
 * 
 * @author Mickal Martin Nevot
 * 
 * @version 1.2.0
 */
public class JFrameSample1 extends JFrame {

	private static final long serialVersionUID = 1L;

	private static final int FRAME_WIDTH = 300;
	private static final int FRAME_HEIGHT = 200;
	
	private JPanel jContentPane1 = null;
	private JTextField jTextField1 = null;
	private JButton jButton1 = null;
	private JLabel jLabel1 = null;

	/**
	 * This is the default constructor
	 */
	public JFrameSample1() {
		super();
		
		initialize();
	}
	
	/**
	 * This method initializes this
	 */
	private void initialize() {
		this.setTitle("MyJFrameSample1Title"); // On donne un titre  l'application
		this.setSize(FRAME_WIDTH, FRAME_HEIGHT); // On donne une taille  notre fentre
		this.setLocationRelativeTo(null); // On centre la fentre  l'cran
		this.setResizable(false); // On interdit le redimensionnement de la fentre
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); // On dit  l'application de se fermer lors du clic sur la croix
		this.setContentPane(getJContentPane1());
	}
	
	/**
	 * This method initializes this.jContentPane1
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane1() {
		if (this.jContentPane1 == null) {
			this.jContentPane1 = new JPanel();
			this.jContentPane1.setLayout(null);
			this.jContentPane1.add(getMyJTextField1(), null);
			this.jContentPane1.add(getMyJButton1(), null);
			this.jContentPane1.add(getMyJLabel1(), null);
		}
		return this.jContentPane1;
	}
	
	/**
	 * This method initializes this.jLabel1	
	 * 	
	 * @return javax.swing.JLabel	
	 */
	public JLabel getMyJLabel1() {
		if (this.jLabel1 == null) {
			this.jLabel1 = new JLabel();
			this.jLabel1.setBounds(new Rectangle(15, 105, 269, 21));
			this.jLabel1.setText("Appuyer sur le bouton Echo");
		}
		return this.jLabel1;
	}

	/**
	 * This method initializes this.jTextField1	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getMyJTextField1() {
		if (this.jTextField1 == null) {
			this.jTextField1 = new JTextField();
			this.jTextField1.setBounds(new Rectangle(15, 67, 137, 23));
		}
		return this.jTextField1;
	}

	/**
	 * This method initializes this.jButton1	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getMyJButton1() {
		if (this.jButton1 == null) {
			this.jButton1 = new JButton(new EchoAction(this));
			this.jButton1.setBounds(new Rectangle(163, 65, 119, 25));
			this.jButton1.setText("Echo");
		}
		return this.jButton1;
	}
}