package view;

import java.awt.Color;
import java.awt.Rectangle;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;

import model.NextJPanelAction;

/**
 * Application exemple pour la gestion de la visibilit de JPanel
 * dans un systme comportant plusieurs JPanel de la taille de la JFrame.
 * 
 * @author Mickal Martin Nevot
 * 
 * @version 1.2.0
 */
public class JFrameSample2 extends JFrame {

	private static final long serialVersionUID = 1L;

	private static final int FRAME_WIDTH = 300;
	private static final int FRAME_HEIGHT = 200;
	
	private JPanel jContentPane1 = null;

	private JPanel jPanel1 = null;
	private JPanel jPanel2 = null;

	private JButton myJButton1 = null;
	
	/**
	 * This is the default constructor
	 */
	public JFrameSample2() {
		super();
		
		initialize();
	}

	/**
	 * This method initializes this
	 */
	private void initialize() {
		this.setTitle("MyJFrameSample2Title"); // On donne un titre  l'application
		this.setSize(FRAME_WIDTH, FRAME_HEIGHT); // On donne une taille  notre fentre
		this.setLocationRelativeTo(null); // On centre la fentre  l'cran
		this.setResizable(false); // On interdit le redimensionnement de la fentre
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); // On dit  l'application de se fermer lors du clic sur la croix
		this.setContentPane(getJContentPane1());
	}
	
	/**
	 * This method initializes this.jContentPane1
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane1() {
		if (this.jContentPane1 == null) {
			this.jContentPane1 = new JPanel();
			this.jContentPane1.setLayout(null);
			this.jContentPane1.add(getMyJPanel1(), null);
			this.jContentPane1.add(getMyJPanel2(), null);
			this.jContentPane1.add(getMyJButton1(), null);
			
			// On rend un des JPanel invisible
			// Commenter la ligne que vous voulez pour les tests
			getMyJPanel1().setVisible(false);
			//getMyJPanel2().setVisible(false);
		}
		return this.jContentPane1;
	}
	
	/**
	 * This method initializes this.jPanel1	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	public JPanel getMyJPanel1() {
		if (this.jPanel1 == null) {
			this.jPanel1 = new JPanel();
			this.jPanel1.setLayout(null);
			this.jPanel1.setName("jPanel1");
			this.jPanel1.setBounds(new Rectangle(0, 0, 300, 140));
			this.jPanel1.setBackground(new Color(255, 0, 0));
		}
		return this.jPanel1;
	}
	
	/**
	 * This method initializes this.jPanel1	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	public JPanel getMyJPanel2() {
		if (this.jPanel2 == null) {
			this.jPanel2 = new JPanel();
			this.jPanel2.setLayout(null);
			this.jPanel2.setName("jPanel2");
			this.jPanel2.setBounds(new Rectangle(0, 0, 300, 140));
			this.jPanel2.setBackground(new Color(0, 0, 255));
		}
		return this.jPanel2;
	}
	
	/**
	 * This method initializes this.myJButton1	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getMyJButton1() {
		if (this.myJButton1 == null) {
			this.myJButton1 = new JButton(new NextJPanelAction(this));
			this.myJButton1.setBounds(new Rectangle(85, 145, 120, 25));
			this.myJButton1.setText("JPanel suivant");
		}
		return this.myJButton1;
	}
}