/**
 * 
 */
package view;

import java.awt.HeadlessException;
import java.awt.Rectangle;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JPasswordField;
import javax.swing.JTextField;

import model.PasswordFieldFocusListener;
import model.TextFieldFocusListener;

/**
 * Application exemple sur l'ajout/suppression de textes indicatifs
 * sur un JTextField et un JPasswordField
 * 
 * @author Mickal Martin Nevot
 * 
 * @version 1.2.0
 */
public class JFrameSample5 extends JFrame {

	private static final long serialVersionUID = 1L;

	private static final int FRAME_WIDTH = 300;
	private static final int FRAME_HEIGHT = 200;
	
	private static final int LOGIN_WIDTH = 100;
	private static final int LOGIN_HEIGHT = 20;
	
	private static final int PASSWORD_WIDTH = LOGIN_WIDTH;
	private static final int PASSWORD_HEIGHT = LOGIN_HEIGHT;
	
	private static final String DFL_LOGIN = "entrer votre login";  //  @jve:decl-index=0:
	private static final String DFL_TOOL_TIP_LOGIN = "Login";  //  @jve:decl-index=0:
	private static final String DFL_PASSWORD = "password";  //  @jve:decl-index=0:
	private static final String DFL_TOOL_TIP_PASSWORD = "Mot de passe";  //  @jve:decl-index=0:
	
	private JPanel jContentPane1 = null;
	private JPasswordField jPasswordField1 = null;
	private JTextField jTextField1 = null;
	private JLabel jLabel1 = null;
	private JLabel jLabel2 = null;

	/**
	 * @throws HeadlessException
	 */
	public JFrameSample5() {
		super();
		
		initialize();
	}

	/**
	 * This method initializes this
	 */
	private void initialize() {
		this.setTitle("MyJFrameSample5Title"); // On donne un titre  l'application
		this.setSize(FRAME_WIDTH, FRAME_HEIGHT); // On donne une taille  notre fentre
		this.setLocationRelativeTo(null); // On centre la fentre  l'cran
		this.setResizable(false); // On interdit le redimensionnement de la fentre
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); // On dit  l'application de se fermer lors du clic sur la croix
		this.setContentPane(getJContentPane1());
	}

	/**
	 * This method initializes this.jContentPane1
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane1() {
		if (this.jContentPane1 == null) {
			this.jContentPane1 = new JPanel();
			this.jContentPane1.setLayout(null);
			this.jContentPane1.add(getMyJLabel1(), null);
			this.jContentPane1.add(getJTextField1(), null);
			this.jContentPane1.add(getMyJLabel2(), null);
			this.jContentPane1.add(getJPasswordField1(), null);
		}
		return this.jContentPane1;
	}

	/**
	 * This method initializes myJLabel1
	 * 	
	 * @return javax.swing.JLabel	
	 */
	private JLabel getMyJLabel1() {
		if (this.jLabel1 == null) {
			this.jLabel1 = new JLabel();
			this.jLabel1.setBounds(new Rectangle((FRAME_WIDTH - LOGIN_WIDTH) / 2, 20, LOGIN_WIDTH, LOGIN_HEIGHT));
			this.jLabel1.setText(DFL_TOOL_TIP_LOGIN);
		}
		return this.jLabel1;
	}
	
	/**
	 * This method initializes myJLabel2	
	 * 	
	 * @return javax.swing.JLabel	
	 */
	private JLabel getMyJLabel2() {
		if (this.jLabel2 == null) {
			this.jLabel2 = new JLabel();
			this.jLabel2.setBounds(new Rectangle((FRAME_WIDTH - LOGIN_WIDTH) / 2, 70, LOGIN_WIDTH, LOGIN_HEIGHT));
			this.jLabel2.setText(DFL_TOOL_TIP_PASSWORD);
		}
		return this.jLabel2;
	}
	
	/**
	 * This method initializes this.jTextField1
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextField1() {
		if (this.jTextField1 == null) {
			this.jTextField1 = new JTextField();
			this.jTextField1.setBounds(new Rectangle((FRAME_WIDTH - LOGIN_WIDTH) / 2, 40, LOGIN_WIDTH, LOGIN_HEIGHT));
			this.jTextField1.setText(DFL_LOGIN);
			this.jTextField1.setHorizontalAlignment(JTextField.CENTER);
			this.jTextField1.setToolTipText(DFL_TOOL_TIP_LOGIN);
			this.jTextField1.addFocusListener(new TextFieldFocusListener(this.jTextField1, DFL_LOGIN));
		}
		return this.jTextField1;
	}
	
	/**
	 * This method initializes this.jPasswordField1
	 * 	
	 * @return javax.swing.JPasswordField	
	 */
	private JPasswordField getJPasswordField1() {
		if (this.jPasswordField1 == null) {
			this.jPasswordField1 = new JPasswordField();
			this.jPasswordField1.setBounds(new Rectangle((FRAME_WIDTH - PASSWORD_WIDTH) / 2, 90, PASSWORD_WIDTH, PASSWORD_HEIGHT));
			this.jPasswordField1.setText(DFL_PASSWORD);
			this.jPasswordField1.setHorizontalAlignment(JTextField.CENTER);
			this.jPasswordField1.setToolTipText(DFL_TOOL_TIP_PASSWORD);
			this.jPasswordField1.addFocusListener(new PasswordFieldFocusListener(this.jPasswordField1, DFL_PASSWORD));
		}
		return this.jPasswordField1;
	}
}